/*
tutorial_#1-06

N.B. For tutorials that follow we will consider the Cycle A (the duration of 66 seconds) consists of 11 Periods (duration of 6 seconds each) from the Form-Schema Version I.

In the perspective you want to write the code for the execution of all First Version (composed of six Cycles), the goal of this tutorial_#1-06 is to get a code more functional and simplified.
In csd the full version of the algorithm of "Solo" in fact, the lines enveloping the Assistants, to values ​​k and then globalized to gk, were created not by linseg (which would become awkward to control and would result in many lines of code), but by all instruments (two channels - L / R - for each Assistant, then 6 instruments, plus one dedicated to the fourth Assistant Delay), by making use of two tables (GEN 2) how in the patch that follows.
Following that approach, now the syntax is shown on the Left channel of the first Assistant to the Microphone and, similarly, in the next few tutorials for the other Assistants 2 and 3 (Feedback and Playback).

Here too, during the execution observe the progression of the signal through the Controller, its correspondence with the boxes numbered from 1 to 11 representing the Periods and will verify the presence or absence of the audio signal in correspondence to the colored boxes.

*/

<CsoundSynthesizer>
<CsOptions>
</CsOptions>
<CsInstruments>

sr 		=	44100
ksmps 		=	128
nchnls 		=	1
0dbfs 		= 	1

gkenl1	init	0

;==================================================================================================================
	instr 1			; PATCH FOR THE GENERATION OF LINE OF THE ENVELOPE SLIDER ASSISTANT - MICROPHONE
;==================================================================================================================

; instantaneous values by score
ia 	= p4
ib 	= p5
ifn1 	= p6
ifn2 	= p7

indx		init	- 1					; initialization of the index table
ilen		=	ftlen(ifn1)				; here you get the length of the table ifn1

reset:								; label attached to reinit
indx		=	indx + 1				; increase in the index
if	indx <= ilen - 1  goto forth				; conditional step: if the index is less than or equal to -1 ilen then go to the label again
turnoff								; or, if the condition occurs, turn off 

forth:								; label attached to goto, if the condition is satisfied
idur		table	indx, ifn1				; reading the values idur from the table
idur_env	table	indx, ifn2				; reading the values idur_env from the table
		timout 0, idur, continue			; it performs another conditional jump: from time 0 will jump to label continue and continue to cook for idur seconds
		reinit reset					; at this point csound temporarily stops the execution and executes a further step initialization
		
continue:							; label attached to timout, if the condition is satisfied

gkenl1		linseg 0, ia, 1, idur_env - (ia + ib), 1, ib, 0	; generation line of envelope, as a global variable

endin

;==================================================================================================================
	instr 2
;==================================================================================================================

ksig	invalue "sig"			; choosing the type of signal from the Widgets Panel
if i(ksig) == 0 then
asig = 0				; no audio
elseif i(ksig) == 1 then
asig		inch	1		; import of the microphone signal - Channel 1
elseif i(ksig) == 2 then
asig, aright	mp3in	"1-11.mp3"	; to give credit to the verification we import a hypothetical input signal performed by a soloist, here reduced to the voice of the enumeration figures ranging from 1 to 11 (there are so many periods of Cycle A of this Version).
endif

al_A 	=	asig * gkenl1		; input signal multiplied the envelope line kenl1 (ASSISTANT 1 Left) which determines the ON / OFF (1/0)
out	al_A				; result audio output to the left channel only

outvalue "enL1", gkenl1		; slider in the Widgets Panel
ktinst	timeinsts
outvalue "time", ktinst			; time line in Widgets Panel

; BOX ENVELOPES
outvalue	"ONE", 1
outvalue	"ZERO", 0

endin


</CsInstruments>
<CsScore>
;ASSISTANT "1" LEFT		A
f1	0	4	-2	18	18	30
f2	0	4	-2	6	6	18

i1	0	66	.001	.001	1	2
i2	0	66
e
</CsScore>
</CsoundSynthesizer><bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>72</x>
 <y>201</y>
 <width>547</width>
 <height>403</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="background">
  <r>0</r>
  <g>204</g>
  <b>204</b>
 </bgcolor>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>11</x>
  <y>126</y>
  <width>533</width>
  <height>277</height>
  <uuid>{3a856060-50c6-4015-b715-6df204cbd96a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label/>
  <alignment>left</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>153</r>
   <g>204</g>
   <b>102</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>5</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScope">
  <objectName/>
  <x>452</x>
  <y>133</y>
  <width>80</width>
  <height>64</height>
  <uuid>{41e885d8-8f8e-47bd-b14f-3416933132e9}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <value>-255.00000000</value>
  <type>scope</type>
  <zoomx>1.00000000</zoomx>
  <zoomy>3.00000000</zoomy>
  <dispx>1.00000000</dispx>
  <dispy>1.00000000</dispy>
  <mode>0.00000000</mode>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>9</x>
  <y>15</y>
  <width>538</width>
  <height>100</height>
  <uuid>{951fe7d4-4247-432d-8eee-6e8889420259}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>CSOUND INSIDE
Enrico Francioni 
"Building Csound-based Systems for Realtime Chamber Music Performance"
TUTORIAL #1-06: "SOLO [Nr.19]" - Digital set-up for Stockhausen's composition - 
from his analog to my digital setup.</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>204</r>
   <g>204</g>
   <b>204</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBDropdown">
  <objectName>sig</objectName>
  <x>24</x>
  <y>221</y>
  <width>74</width>
  <height>23</height>
  <uuid>{deb92c08-53c3-46dc-b624-e51ca5ea7031}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <bsbDropdownItemList>
   <bsbDropdownItem>
    <name>none</name>
    <value>0</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>mic</name>
    <value>1</value>
    <stringvalue/>
   </bsbDropdownItem>
   <bsbDropdownItem>
    <name>mp3</name>
    <value>2</value>
    <stringvalue/>
   </bsbDropdownItem>
  </bsbDropdownItemList>
  <selectedIndex>2</selectedIndex>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>162</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{4932dc8f-3490-4259-b814-71d7f55f14ff}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>1</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>195</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{39461512-c09a-4524-ac26-cecbc0df35a5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>2</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>228</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{a4b737ff-e611-4177-baf0-ace7b82979e5}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>3</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>261</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{337e1553-8787-437f-9777-8b12bd35a972}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>4</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>294</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{464a4c59-8fc7-4e58-b785-cf7a10e98e63}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>5</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>328</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{0882e0ff-a364-48e1-86be-2e524e7f41d7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>6</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>362</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{e85856c7-1a32-41e4-bb37-203ed93d32cf}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>7</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>396</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{b4c55a28-592c-4bc8-9447-42e6390bf13d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>8</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>430</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{cf168125-db4c-450c-9349-715d7ad6b7ff}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>9</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>464</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{0882580f-a08c-44b0-b4ea-bd49afaf69dc}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>10</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>498</x>
  <y>239</y>
  <width>31</width>
  <height>31</height>
  <uuid>{529683ae-e196-4705-aa38-9a69abcd2483}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>11</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>158</x>
  <y>155</y>
  <width>46</width>
  <height>46</height>
  <uuid>{2d646d86-213b-47c6-b1b2-289b58a0c21e}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>A</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>30</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>3</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>206</x>
  <y>170</y>
  <width>44</width>
  <height>25</height>
  <uuid>{08bb81f0-106e-4a74-a69c-7f4c539130d7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>(66 s)</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>time</objectName>
  <x>162</x>
  <y>278</y>
  <width>366</width>
  <height>12</height>
  <uuid>{66fd5fed-1d3e-4e68-899c-f627c0ecdd86}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>time</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>66.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>9.26476192</xValue>
  <yValue>9.26476192</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>28</x>
  <y>263</y>
  <width>110</width>
  <height>28</height>
  <uuid>{1ba2dd9c-618c-412d-b4f7-b314a5bb62a8}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>SOLOIST</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>26</x>
  <y>345</y>
  <width>110</width>
  <height>28</height>
  <uuid>{113057c0-c2a7-4033-ba49-159f600f5b0c}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>MICROPHONE</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>12</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>time</objectName>
  <x>164</x>
  <y>362</y>
  <width>366</width>
  <height>12</height>
  <uuid>{901178fe-d781-4cd7-9e14-cacbdcc21e3b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>time</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>66.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>9.26476192</xValue>
  <yValue>9.26476192</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>enL1</objectName>
  <x>140</x>
  <y>321</y>
  <width>20</width>
  <height>55</height>
  <uuid>{90ab888f-67f6-492d-b504-3612b53d7a78}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.00000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>298</x>
  <y>163</y>
  <width>84</width>
  <height>29</height>
  <uuid>{7b2b3776-198a-49dc-b827-dc682ff1f364}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>11 * 6 sec</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>16</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>noborder</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBScrollNumber">
  <objectName>time</objectName>
  <x>98</x>
  <y>222</y>
  <width>41</width>
  <height>24</height>
  <uuid>{7ea2d329-01f3-46a3-b3e6-7a8f9187950d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <alignment>right</alignment>
  <font>Arial</font>
  <fontsize>14</fontsize>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="background">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <value>9.26476192</value>
  <resolution>0.10000000</resolution>
  <minimum>0.00000000</minimum>
  <maximum>66.00000000</maximum>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
  <randomizable group="0">false</randomizable>
  <mouseControl act=""/>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>26</x>
  <y>196</y>
  <width>68</width>
  <height>25</height>
  <uuid>{261091c2-3b40-4bb7-9458-39c8d22ea8d1}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>signal</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>97</x>
  <y>196</y>
  <width>42</width>
  <height>25</height>
  <uuid>{b06cce13-8730-4e7a-905a-67375e0d1f67}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>time</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>10</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBLabel">
  <objectName/>
  <x>140</x>
  <y>300</y>
  <width>20</width>
  <height>20</height>
  <uuid>{4a32c682-2303-47bc-b2f6-2e928995fc25}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <label>L</label>
  <alignment>center</alignment>
  <font>Arial</font>
  <fontsize>8</fontsize>
  <precision>3</precision>
  <color>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </color>
  <bgcolor mode="nobackground">
   <r>255</r>
   <g>255</g>
   <b>255</b>
  </bgcolor>
  <bordermode>border</bordermode>
  <borderradius>1</borderradius>
  <borderwidth>1</borderwidth>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>164</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{47276080-6012-4dab-83f6-20ff6169b4b7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>197</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{1dd7f3ce-6f78-48c6-b167-a6bd0fcfdb98}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>230</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{620ac27f-96f4-4a26-a18c-2049508fa067}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>263</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{31670b9a-10b1-4eda-970d-99b91a1e46a6}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>296</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{098f7227-3820-4292-b907-307acbff012b}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>329</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{9b9a736f-c073-4c12-8749-3da9f78dd968}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>363</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{e224f67d-2a55-4ee2-82c6-70f3856a2b5d}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>397</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{f64aea45-28d6-479f-ab74-91916937c877}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ONE</objectName>
  <x>431</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{ccf5fcc2-4afc-4a45-beac-a9efb1dc31a4}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ONE</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>1.00000000</xValue>
  <yValue>1.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>465</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{07a4ed4f-3cec-4ce4-91ed-dbce185d27e0}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
 <bsbObject version="2" type="BSBController">
  <objectName>ZERO</objectName>
  <x>499</x>
  <y>321</y>
  <width>31</width>
  <height>31</height>
  <uuid>{47095f91-bc72-4033-b8c4-9d85f4bc11a7}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <objectName2>ZERO</objectName2>
  <xMin>0.00000000</xMin>
  <xMax>1.00000000</xMax>
  <yMin>0.00000000</yMin>
  <yMax>1.00000000</yMax>
  <xValue>0.00000000</xValue>
  <yValue>0.00000000</yValue>
  <type>fill</type>
  <pointsize>1</pointsize>
  <fadeSpeed>0.00000000</fadeSpeed>
  <mouseControl act="press">jump</mouseControl>
  <color>
   <r>0</r>
   <g>234</g>
   <b>0</b>
  </color>
  <randomizable mode="both" group="0">false</randomizable>
  <bgcolor>
   <r>0</r>
   <g>0</g>
   <b>0</b>
  </bgcolor>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
<MacOptions>
Version: 3
Render: Real
Ask: Yes
Functions: ioObject
Listing: Window
WindowBounds: 72 179 400 200
CurrentView: io
IOViewEdit: On
Options:
</MacOptions>

<MacGUI>
ioView background {0, 52428, 52428}
ioText {11, 126} {533, 277} label 0.000000 0.00100 "" left "Arial" 10 {0, 0, 0} {39168, 52224, 26112} nobackground noborder 
ioGraph {452, 133} {80, 64} scope 1.000000 -255 
ioText {9, 15} {538, 100} label 0.000000 0.00100 "" center "Arial" 14 {0, 0, 0} {52224, 52224, 52224} nobackground noborder CSOUND INSIDEÂ¬Enrico Francioni Â¬"Building Csound-based Systems for Realtime Chamber Music Performance"Â¬TUTORIAL #1-06: "SOLO [Nr.19]" - Digital set-up for Stockhausen's composition - Â¬from his analog to my digital setup.
ioMenu {24, 221} {74, 23} 2 303 "none,mic,mp3" sig
ioText {162, 239} {31, 31} label 1.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 1
ioText {195, 239} {31, 31} label 2.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 2
ioText {228, 239} {31, 31} label 3.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 3
ioText {261, 239} {31, 31} label 4.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 4
ioText {294, 239} {31, 31} label 5.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 5
ioText {328, 239} {31, 31} label 6.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 6
ioText {362, 239} {31, 31} label 7.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 7
ioText {396, 239} {31, 31} label 8.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 8
ioText {430, 239} {31, 31} label 9.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 9
ioText {464, 239} {31, 31} label 10.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 10
ioText {498, 239} {31, 31} label 11.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 11
ioText {158, 155} {46, 46} label 0.000000 0.00100 "" center "Arial" 30 {0, 0, 0} {65280, 65280, 65280} nobackground noborder A
ioText {206, 170} {44, 25} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder (66 s)
ioMeter {162, 278} {366, 12} {0, 59904, 0} "time" 9.264762 "time" 9.264762 fill 1 0 mouse
ioText {28, 263} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder SOLOIST
ioText {26, 345} {110, 28} label 0.000000 0.00100 "" center "Arial" 12 {0, 0, 0} {65280, 65280, 65280} nobackground noborder MICROPHONE
ioMeter {164, 362} {366, 12} {0, 59904, 0} "time" 9.264762 "time" 9.264762 fill 1 0 mouse
ioSlider {140, 321} {20, 55} 0.000000 1.000000 0.000000 enL1
ioText {298, 163} {84, 29} label 0.000000 0.00100 "" center "Arial" 16 {0, 0, 0} {65280, 65280, 65280} nobackground noborder 11 * 6 sec
ioText {98, 222} {41, 24} scroll 9.264762 0.100000 "time" right "Arial" 14 {0, 0, 0} {65280, 65280, 65280} background noborder 
ioText {26, 196} {68, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder signal
ioText {97, 196} {42, 25} label 0.000000 0.00100 "" center "Arial" 10 {0, 0, 0} {65280, 65280, 65280} nobackground noborder time
ioText {140, 300} {20, 20} label 0.000000 0.00100 "" center "Arial" 8 {0, 0, 0} {65280, 65280, 65280} nobackground noborder L
ioMeter {164, 321} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {197, 321} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {230, 321} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {263, 321} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {296, 321} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {329, 321} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {363, 321} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {397, 321} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {431, 321} {31, 31} {0, 59904, 0} "ONE" 1.000000 "ONE" 1.000000 fill 1 0 mouse
ioMeter {465, 321} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
ioMeter {499, 321} {31, 31} {0, 59904, 0} "ZERO" 0.000000 "ZERO" 0.000000 fill 1 0 mouse
</MacGUI>
