//
//  AudioDSP.h
//  03_SOLO
//
//  Created by Alessandro Petrolati and Enrico Francioni on 18/08/15.
//  Copyright (c) 2015 apeSoft. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>
#import <AudioToolbox/AudioServices.h>
#import <AudioUnit/AudioUnit.h>
#import <AVFoundation/AVFoundation.h>

#import "csound.h"

//#define ENABLE_BLUETOOTH
#define ENABLE_MIDI

@class VerticalSlider;

@interface AudioDSP : NSObject {
    
    /* Audio IO */
    AudioUnit csAUHAL;
    OSStatus err;
    ExtAudioFileRef recFile;
    
    /* Csound data */
    long bufframes;
    int ret;
    int nchnls;
    int counter;
    bool running;
    bool shouldRecord;
    
    NSTimer* pullCsoundTimer;
    
    /* User Interface */
    IBOutlet UISwitch* rec;
    IBOutlet UISegmentedControl* inMode;
    IBOutlet UIProgressView* time1;
    IBOutlet UIProgressView* time2;
    IBOutlet UIProgressView* time3;
    IBOutlet UIProgressView* time4;
    IBOutlet UILabel* del_label;
    IBOutlet UILabel* time_label;
    IBOutlet VerticalSlider* enL1;
    IBOutlet VerticalSlider* enL2;
    IBOutlet VerticalSlider* enL3;
    IBOutlet VerticalSlider* del;
}
@property(nonatomic, readwrite) CSOUND* cs;

@end